.bobo-case-list.main {
  padding-top: 20px;
  padding-bottom: clamp(30px, 3.125vw, 60px);
}

.bobo-case-list.main.grey {
  background: #fafafa
}

.bobo-case-list .case-list ul {
  display: -webkit-flex;
  display: flex;
  -webkit-flex-wrap: wrap;
  flex-wrap: wrap
}

.bobo-case-list .case-list ul li {
  width: 100%;
  margin: 40px 0 0;
  box-sizing: border-box;
  position: relative;
}

.bobo-case-list .case-list ul li:nth-child(2n) .box {
  -webkit-flex-direction: row-reverse;
  flex-direction: row-reverse;
}

.bobo-case-list .case-list ul li .pics{
    width: 45%;
    position: relative;
    overflow: hidden;
}
.bobo-case-list .case-list ul li .txts{
    height: auto;
    flex: 1;
}
.bobo-case-list .case-list ul li .box {
  border-radius: 7px;
  background: #fff;
  overflow: hidden;
  /* padding-bottom: 30px; */
  display: flex;
  flex-wrap: nowrap;
  align-items: center;
}

.bobo-case-list .case-list ul li h5 {
  height: 98px;
  padding: 0 15px;
  overflow: hidden;
  display: -webkit-flex;
  display: flex;
  text-align: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-align-items: center;
  align-items: center;
  color: var(--title-text-color);
  font-family: var(--font-family);
}

.bobo-case-list .case-list ul li h5 a {
  font-weight: 500;
  font-size: clamp(18px, 1.25vw, 24px);
  line-height: 32px
}

.bobo-case-list .case-list ul li .pic {
  display: block;
  width: 100%;
  overflow: hidden;
  position: relative
}

.bobo-case-list .case-list ul li .pic > img {
  transition: all 0.3s ease 0s;
  /* aspect-ratio: 466 / 287; */
  object-fit: cover;
}

.bobo-case-list .case-list ul li .txt {
  position: relative;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  padding: 25px;
  background: rgba(0, 0, 0, 0.7);
  box-sizing: border-box;
  text-align: center;
  opacity: 0;
  -webkit-transition: opacity 0.2s, -webkit-transform 0.35s;
  transition: opacity 0.2s, transform 0.35s;
  -webkit-transform: scale(0);
  transform: scale(0);
  display: -webkit-flex;
  display: flex;
  flex-direction: column;
  gap: 20px;
  text-align: center;
  -webkit-justify-content: center;
  justify-content: center;
  -webkit-align-items: center;
  align-items: center;
  display: none;
}

.bobo-case-list .case-list ul li  p {
  width: 100%;
  font-size: clamp(14px, 0.94vw, 18px);
  color: #333;
  line-height: 1.7;
  overflow: hidden;
  /*  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 4;*/
  padding: 0 40px 0px;
}

.bobo-case-list .case-list ul li .txt p img {
  width: 38px;
  height: 10px;
  display: block;
  margin: 15px auto 0
}

.bobo-case-list .case-list ul li:hover .box {
  box-shadow: 0 0 12px 0 rgba(227, 230, 230, 0.7)
}

.bobo-case-list .case-list ul li:hover h5 a {
  color:  var(--color-primary);
}

.bobo-case-list .case-list ul li:hover .pic img {
  transform: scale(1.05);
  -webkit-transform: scale(1.05)
}

.bobo-case-list .case-list ul li:hover .txt {
  opacity: 1;
  -webkit-transform: scale(1);
  transform: scale(1)
}

.bobo-case-list .rtit {
  margin-bottom: 50px
}

.bobo-case-list .case-list ul li .txts .desc h2 span {
    font-size: clamp(15px, 0.83vw, 16px) !important;
}
.bobo-case-list .case-list ul li p span{font-size:clamp(14px, 0.94vw, 18px) !important}

/* mobile */
@media screen and (max-width: 991px) {
  .bobo-case-list .case-list ul li {margin: 20px 0 0;width: 100%;}
  .bobo-case-list .case-list ul li .box { display: block; }
  .bobo-case-list .case-list ul li .pics { width: 100%; }
  .bobo-case-list .case-list ul li .txts {padding: 15px 10px;}
  .bobo-case-list .case-list ul li h5 {height: auto;padding: 0 0 10px 0;}
  .bobo-case-list .case-list ul li h5 a {line-height: 1.4;}
  .bobo-case-list .case-list ul li p { padding: 0 20px 0px;}
  
}

/* small mobile */
@media screen and (max-width: 576px) {
  .bobo-case-list .case-list ul li {margin: 15px 0 0;}
}

